GNU bug report logs - #48136
28.0.50; [feature/pgtk] ISO_Level5_Shift broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Elia Nolz" <gnu-emacs@HIDDEN>; dated Sat, 1 May 2021 11:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 1 Oct 2021 15:10:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 01 11:10:04 2021
Received: from localhost ([127.0.0.1]:57132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWKAm-00072A-5A
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 11:10:04 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:56453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1mWKAk-00071b-F6
 for 48136 <at> debbugs.gnu.org; Fri, 01 Oct 2021 11:10:03 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id EA1835C0174;
 Fri,  1 Oct 2021 11:09:55 -0400 (EDT)
Received: from imap41 ([10.202.2.91])
 by compute6.internal (MEProxy); Fri, 01 Oct 2021 11:09:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm2; bh=Ddk5ve13lDOZ+Gvpn00YQlaKDYszrWH
 +BhS6wwhOGL8=; b=YxmrL3DPuqoYM+gxckJVSh0cgmb/vIGOdCrMGY/Kpn1SBK9
 /eWi+6QWyYXH7Fif0Vkx78r9vv0LLU7VTYW5vsq4R7E1exmDkPME/SXKNm9WceYK
 LpLKrFMYId2O1eft7c2xrGtHu0ExX83TLoyvLDSdfrrtiy0RZfh6ehx0kHNGzJza
 X9QzUSMeoYnbt/wpbRH6ghzMeRIw2e/77QBrl1co4HZ3d0EV4gVv3DqsFpD+RHBN
 q++8ccAzMqu+UplR+rQqHjOKNmNZEZKziu62z6dmJg1ztE8e5W2DkUGNAHx/NX0s
 BQ6ZM71FpHA0jFS8lbbrrPu6Gag2gU3+Mu/jCBQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=Ddk5ve
 13lDOZ+Gvpn00YQlaKDYszrWH+BhS6wwhOGL8=; b=fpRMGsrNra2oo9ZYXMRE4g
 fzRtxXJF1e23kc8jux6o5SBfSxp21jEnyjzowNs0rPmwbjVHtZy1+F+LLhfTzJez
 pwYjxtU9S6Aehq7r6AhMp9OAukscz19uxSfnieFSR+C2QBVPXnhsC82hEQgzGr/q
 HotIb4RPzXmIwl8ET4eFyW0BILRTpw9omNBKNM0zItHxJTHOEVDHq4uhkF85q5F+
 68fG+3sK1pLeylKXRMNmFqLzz+urOJDMcjBxKxEycfA+v0e+H3+QwznhQgn/m+fl
 1cLghaZMAN63dGM4s41c45+XfIe4CTO+x1OLecyai8hHZhRMd/ozpAwYdLHF546Q
 ==
X-ME-Sender: <xms:wyRXYRWgIgZdBChd58veOUvQwsdwwdQuvWXHRU7XzHzBUmwvPrNF5w>
 <xme:wyRXYRkj48mQvx4ERYXrK6nyJaeupkfyu7MqRgcXNckfPbWX8tewxEgYaptOf60zb
 iwam-oIfLd0FLrbaBQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudekiedgkedvucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsegrtd
 erreerredtnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtshes
 lhihtghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeefkedtjefhheefheffhe
 dvhffhveffkeefieeiudeljeeuvdejiefggeduueettdenucevlhhushhtvghrufhiiigv
 pedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehgnhhuqdgvmhgrtghssehlhigthhgvvg
 hsvgdrohhrgh
X-ME-Proxy: <xmx:wyRXYda_qgdD3_PbdMut-DBMnWMBy80y2gLohEfhSB_wS6mAmf1xjA>
 <xmx:wyRXYUVeOV7sQVGnIvDVs-rL4heLCFSwV4sn7qL6Pjsls9KGowC5RA>
 <xmx:wyRXYbnl_qJAeuO5xVKvv8--ql_Ifdi7Z4Q9fVd9CdF8-sXpGUBXnw>
 <xmx:wyRXYRRAdSLLLZhuXukNy5j0H9BW-SoiSMoo1-cS-EqPxHWz-R1GvQ>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 55D3F3C0265; Fri,  1 Oct 2021 11:09:55 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-1322-g921842b88a-fm-20210929.001-g921842b8
Mime-Version: 1.0
Message-Id: <93286526-cd15-4b1c-a8f1-f8e4c563bf2e@HIDDEN>
In-Reply-To: <20210625.210553.1494196136341043867.masm@HIDDEN>
References: <20210521.185634.655611513748675597.masm@HIDDEN>
 <889c459e-1eb9-4080-a8fa-117cbefae4a1@HIDDEN>
 <dbfa1269-9366-4472-b9d7-c1a1c12004ef@HIDDEN>
 <20210625.210553.1494196136341043867.masm@HIDDEN>
Date: Fri, 01 Oct 2021 17:09:28 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=0045b2a336b1469b9b0c1e3b01193a30
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

--0045b2a336b1469b9b0c1e3b01193a30
Content-Type: text/plain

> Can you investigate what commit fixed your issue?
> Maybe 7085fecf53d9506b1f626e3cab1dd90e33aa9ed0?
Sorry for the late reply. I had health problems and am still not back to normal. I tried the commits below and the behaviour wasn't any different:
7085fecf53d9506b1f626e3cab1dd90e33aa9ed0
67a4c8b5ad9ebfb3fa2c7fae433aa6b6b5e92154
486e77befd2ea7fd750b1f24eb5dfaf2b91d70b3
66a36f1e5a323aed3d39db1044a1b71373123832
 I sadly do not have the time to any more testing than this.

And maybe something interesting: It only works when `(pgtk-use-im-context nil)` is called during startup in init.el or similar. When evaluating it by hand within Emacs fcitx stops working.
--0045b2a336b1469b9b0c1e3b01193a30
Content-Type: text/html
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><title></title><style type=3D"text/css">p.Mso=
Normal,p.MsoNoSpacing{margin:0}
p.MsoNormal,p.MsoNoSpacing{margin:0}</style></head><body><blockquote typ=
e=3D"cite" id=3D"qt" style=3D""><div>Can you investigate what commit fix=
ed your issue?<br></div><div>Maybe 7085fecf53d9506b1f626e3cab1dd90e33aa9=
ed0?<br></div></blockquote><table summary=3D"commit info" class=3D"commi=
t-info"><tbody><tr><th><div>Sorry for the late reply. I had health probl=
ems and am still not back to normal. I tried the commits below and the b=
ehaviour wasn't any different:<br></div><div>7085fecf53d9506b1f626e3cab1=
dd90e33aa9ed0<br></div><div>67a4c8b5ad9ebfb3fa2c7fae433aa6b6b5e92154<br>=
</div><div>486e77befd2ea7fd750b1f24eb5dfaf2b91d70b3<br></div></th></tr><=
/tbody></table><div>66a36f1e5a323aed3d39db1044a1b71373123832<br></div><d=
iv>&nbsp;I sadly do not have the time to any more testing than this.<br>=
</div><div><br></div><div>And maybe something interesting: It only works=
 when `(pgtk-use-im-context nil)` is called during startup in init.el or=
 similar. When evaluating it by hand within Emacs fcitx stops working.<b=
r></div></body></html>
--0045b2a336b1469b9b0c1e3b01193a30--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 25 Jun 2021 12:06:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 25 08:06:07 2021
Received: from localhost ([127.0.0.1]:45007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lwkb1-0008L3-Ai
	for submit <at> debbugs.gnu.org; Fri, 25 Jun 2021 08:06:07 -0400
Received: from shiro.masm11.me ([150.95.182.25]:36566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masm@HIDDEN>) id 1lwkaw-0008KZ-KS
 for 48136 <at> debbugs.gnu.org; Fri, 25 Jun 2021 08:06:06 -0400
Received: from luna.pink.masm11.me (KD106180013250.au-net.ne.jp
 [106.180.13.250])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits))
 (No client certificate requested)
 by shiro.masm11.me (Postfix) with ESMTPSA id 1F5A4C0096;
 Fri, 25 Jun 2021 21:05:59 +0900 (JST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=masm11.me; s=202002;
 t=1624622759; bh=cpB3JZeqC18UIiNGNS4Vbs3B14JjXo5I0lQNxtzTuqg=;
 h=Date:To:Cc:Subject:From:In-Reply-To:References;
 b=08DpRa/2h5EAcW65+1/qPpeuy28vBGhkpcjZiyjldrc0ErJgHCdTBuCfipAsST2Sa
 MM8dfov1jQL1tnKNJPqRlXNYHgnL1BZys63L7h4bLOaL5MUK5Jpr8lwq+Zc51HsjKp
 hyIMMICGJBs+G68C/N+76un5jlyvUhwNMo5PqIFQ=
Date: Fri, 25 Jun 2021 21:05:53 +0900 (JST)
Message-Id: <20210625.210553.1494196136341043867.masm@HIDDEN>
To: gnu-emacs@HIDDEN
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
From: Yuuki Harano <masm+emacs@HIDDEN>
In-Reply-To: <dbfa1269-9366-4472-b9d7-c1a1c12004ef@HIDDEN>
References: <20210521.185634.655611513748675597.masm@HIDDEN>
 <889c459e-1eb9-4080-a8fa-117cbefae4a1@HIDDEN>
 <dbfa1269-9366-4472-b9d7-c1a1c12004ef@HIDDEN>
Organization: Ingage Inc.
X-Mailer: Mew version 6.8 on Emacs 28.0
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On Thu, 24 Jun 2021 10:52:30 +0200,
	"Elia Nolz" <gnu-emacs@HIDDEN> wrote:
> After updating Emacs (and without changing my config) both fcitx and the ISO_Level5 and 3 keybindings work now.
> 
> emacs-repository-version: c6ada6e9f1f82d36a05ecc49844e9400e0da8fdd

Can you investigate what commit fixed your issue?
Maybe 7085fecf53d9506b1f626e3cab1dd90e33aa9ed0?

-- 
Yuuki Harano




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 24 Jun 2021 08:53:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 24 04:53:01 2021
Received: from localhost ([127.0.0.1]:42418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lwL6a-0000aL-Pe
	for submit <at> debbugs.gnu.org; Thu, 24 Jun 2021 04:53:00 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:50607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1lwL6Y-0000a8-LX
 for 48136 <at> debbugs.gnu.org; Thu, 24 Jun 2021 04:52:59 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 3223C5C00CF;
 Thu, 24 Jun 2021 04:52:53 -0400 (EDT)
Received: from imap41 ([10.202.2.91])
 by compute6.internal (MEProxy); Thu, 24 Jun 2021 04:52:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm2; bh=e4OVIO1BH9SsoDHHpo+jMRUX/Hp6WaF
 /Ss0hcf42Lpo=; b=KjNoi/9R6wKFBzTMpXwUs4DuXYjFiMaqhCaFBRZFFNmfTa1
 MCpw2ukc4VNRUHpODbuNmUrUXPbBTRAYEo9XD8MFWdYbuPxtCorJZ6068uCLH1uP
 vuz97K3OaPiM8533dX0xb6VHDedDfXSp5ztgJ9KvQPAH81xOLbBoA/ckU/ssXj4k
 bYoaHw7k+4RyGcxpR7sPui2VPVaram6PCgG1x1CuWHPaefRxYaKKM4wopKkFQB6g
 2sMGMZCWHfIX3b4wVYVHQZhn3SHu6IeSr1RUnWf+d+IMKoqKRI8xKDIaOBAfrYXw
 ni/Xh7XkPp+7r4KsPdJYcIc45+gPUIF5Bz7KiiQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=e4OVIO
 1BH9SsoDHHpo+jMRUX/Hp6WaF/Ss0hcf42Lpo=; b=ZqMm0vhCtygsYiBtBnHs1P
 Yqblk+qwzCTkr2ZkeRecJ8+NyLdIl9MdlpyUHlgKq5Y52/R191trco921LdfJXex
 LElcVkHe6RxTuu2+jw6RchU5/Fwax67lAUvWN5yV5DktMW/hMPa5ULwz1D3Mh4Qg
 XL2T7Gga4NpzxUAMPV2RnmtBfiOyVWAqhCJvFdcgoYpuvId/rr+zg0MKU3TmuAU+
 czynJjVrkNrrxpyiY0aRKZOediMwUfWQeuh0sQ9jm5nBTWiO1t6zBISSj5pptskZ
 DK6B/TBA6Gpih3K14BtVGhfBBD4C9Gl85U/Ad1xZ2vx4B6sAkN7CV3I7EcUwu3zg
 ==
X-ME-Sender: <xms:5EfUYOCgm6oZsWmnDm9TFuEiqI-jR_JthmRnk_dTONBh0ynDjatt_w>
 <xme:5EfUYIjbQk3IfNihIXQ5WUBfna4yzrLWrwvjo6j2hx5hSnJ3IyJC5DZE-GmqcXnS7
 xzgf6-GebEC-qYHB7w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrfeeghedgtdelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsegrtd
 erreerredtnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtshes
 lhihtghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeefkedtjefhheefheffhe
 dvhffhveffkeefieeiudeljeeuvdejiefggeduueettdenucevlhhushhtvghrufhiiigv
 pedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehgnhhuqdgvmhgrtghssehlhigthhgvvg
 hsvgdrohhrgh
X-ME-Proxy: <xmx:5EfUYBkBdD8VopvGOuYGYVszdlyB0i9kcrMR3quPd9pVJ_978kXrkQ>
 <xmx:5EfUYMxZUDMeXBd2xyacNyt10ERc2XDm9Wkpx_hgEhdRVLyWgJLvOA>
 <xmx:5EfUYDRIN_Z8lUI5r9O3MCszbbFiUSJRpEa1BYKwaMvRweA7Y-yVQg>
 <xmx:5UfUYGP3Yx69MIP6EBr7ERQd-Hq43BM9STPzLGFkxYAeYQPPHs56nw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 32B533C0064; Thu, 24 Jun 2021 04:52:52 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-530-gd0c265785f-fm-20210616.002-gd0c26578
Mime-Version: 1.0
Message-Id: <dbfa1269-9366-4472-b9d7-c1a1c12004ef@HIDDEN>
In-Reply-To: <889c459e-1eb9-4080-a8fa-117cbefae4a1@HIDDEN>
References: <c46fc09d-6925-4805-9edb-33ff08bf086c@HIDDEN>
 <20210521.155757.1726693901068500719.masm@HIDDEN>
 <38d85b63-e293-465e-a4c8-5b885fd59362@HIDDEN>
 <20210521.185634.655611513748675597.masm@HIDDEN>
 <889c459e-1eb9-4080-a8fa-117cbefae4a1@HIDDEN>
Date: Thu, 24 Jun 2021 10:52:30 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=3b266b7c435542eaa0e0732977d9d5c1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--3b266b7c435542eaa0e0732977d9d5c1
Content-Type: text/plain

On Wed, Jun 9, 2021, at 11:21, Elia Nolz wrote:
> Regarding the behaviour with input methods, I honestly think that this is a bug that should be fixed since it straight up makes working Emacs setups impossible by disabling fcitx support (I have so far been unable to get ddskk working on NixOS).
After updating Emacs (and without changing my config) both fcitx and the ISO_Level5 and 3 keybindings work now.

emacs-repository-version: c6ada6e9f1f82d36a05ecc49844e9400e0da8fdd
--3b266b7c435542eaa0e0732977d9d5c1
Content-Type: text/html

<!DOCTYPE html><html><head><title></title><style type="text/css">
p.MsoNormal,p.MsoNoSpacing{margin:0}</style></head><body><div>On Wed, Jun 9, 2021, at 11:21, Elia Nolz wrote:<br></div><blockquote type="cite" id="qt" style=""><div>Regarding the behaviour with input methods, I honestly think that this is a bug that should be fixed since it straight up makes working Emacs setups impossible by disabling fcitx support (I have so far been unable to get ddskk working on NixOS).<br></div></blockquote><div>After updating Emacs (and without changing my config) both fcitx and the ISO_Level5 and 3 keybindings work now.<br></div><div><br></div><div>emacs-repository-version: c6ada6e9f1f82d36a05ecc49844e9400e0da8fdd</div></body></html>
--3b266b7c435542eaa0e0732977d9d5c1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 9 Jun 2021 09:22:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 05:22:16 2021
Received: from localhost ([127.0.0.1]:60418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lquPf-0001c5-U1
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 05:22:16 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:60463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1lquPc-0001bq-FE
 for 48136 <at> debbugs.gnu.org; Wed, 09 Jun 2021 05:22:14 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 419E25C029E;
 Wed,  9 Jun 2021 05:22:07 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Wed, 09 Jun 2021 05:22:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm1; bh=PwCpwVUACPvvmt+CZQl7Ocr7UeOhYiF
 kmD+3LUyvA6Y=; b=m5BP+jx17MVXRcNqyzmEbrj+c93hSjYIdBl33yDeQH1Z+9S
 h9SVAqZggG/lSBDmczcliYP3/8Yj4S1cl1L3Wzm12N80emKN0Et3X3amDpyGTxeg
 Fxuk0mk9QMESmR+Blb035tGbwHs8Pm1AxIJiDlJsCYHdQXGM2hg0PO68Xe27zKQR
 DrJel6kwoNvtmoh6KanEPQ5r9yoApxxmpr3vA1cVKebW9MiMqhnwtHaDpyq9YfIN
 x1gjhyK2iLyLCPgIdLvCBD9Qvi6NVYiJVzLqSNdpzbRVwGcFkX0k0KgNCEeScB3c
 VcvseDickrLdNpzHZmgs91b1GkHQlSLC1QZNkmg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=PwCpwV
 UACPvvmt+CZQl7Ocr7UeOhYiFkmD+3LUyvA6Y=; b=Vw05E5Ovv1lSKNjjxrxnJz
 lmBPo2j5YamijGhKPmcfScLaB9ma9DkGHxfbvRNXCnidq4LTqoWtDT4aINlPcRZE
 lZYfNoBeKXORPRl9LctgPNx1hIs5Xeuj+4hM+vHMnxPpJlGlIbU1b+8FbcC/RHVM
 2ge380DQUvNoVB3D8v8AbNMkUExjFms7E5Fcy2qFJgIBUeqZZ0s+OEqP4JhEQnm8
 7M+WS0FMU0Cznp5g8gqwF5un+a5fOtzjXWCNhtQGU59uuZ/iOF30+sUZY5+Z4+QD
 Dof2FSZ2jeK/+4ZsnL4+RckwbiRjRKOrImwXr2aIWUmdjJMN6C/LaN+eCqUreGlQ
 ==
X-ME-Sender: <xms:PojAYNuFswchYsbHhMDqwzcawWYD9gRuvjHdL_JZOSmo-FnU7KvKmQ>
 <xme:PojAYGfcjCmsHqPQb5hkj5oygpHPIERN6jSI0kC5i3-JEVr-Uw4g_KdGFn0pI0Azx
 U7RdrOYO8eaIpalLas>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrfeduuddgudehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsegrtd
 erreerredtnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtshes
 lhihtghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeefjeefheeuteelvddtge
 ekkefhgefhffevieeiheekiefghffgleehleejkeevteenucffohhmrghinhepghhithhh
 uhgsrdgtohhmnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrh
 homhepghhnuhdqvghmrggtsheslhihtghhvggvshgvrdhorhhg
X-ME-Proxy: <xmx:PojAYAy6UrfAK7dtafiLKBYJqCi5rb12MPid8jCuB6OIO6ZL2mG7FQ>
 <xmx:PojAYENrU5HpKzoLlEVX5W6nw7hE-Pzvcp1qKWG2COP5OEW0jk-olg>
 <xmx:PojAYN-h6goOsqokOiE58-fYUepwrEzDSzYmoGuZD95SKZtgrScU8A>
 <xmx:P4jAYCKVsxs_prB0rYNv3C5BNCFzFy7G4M7q2bYbrgiI_313rIeg2A>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 8C9AC15A005F; Wed,  9 Jun 2021 05:22:06 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-519-g27a961944e-fm-20210531.001-g27a96194
Mime-Version: 1.0
Message-Id: <889c459e-1eb9-4080-a8fa-117cbefae4a1@HIDDEN>
In-Reply-To: <20210521.185634.655611513748675597.masm@HIDDEN>
References: <c46fc09d-6925-4805-9edb-33ff08bf086c@HIDDEN>
 <20210521.155757.1726693901068500719.masm@HIDDEN>
 <38d85b63-e293-465e-a4c8-5b885fd59362@HIDDEN>
 <20210521.185634.655611513748675597.masm@HIDDEN>
Date: Wed, 09 Jun 2021 11:21:45 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=2455267607674fe992a5acf2208b452e
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--2455267607674fe992a5acf2208b452e
Content-Type: text/plain

On Fri, May 21, 2021, at 11:56, Yuuki Harano wrote:
> Does "these changes" mean this?
> 
> >    (pgtk-use-im-context nil)

No, I was referring to the new default behaviour of the hyper key and how it changes how Emacs handles ISO_Level5_Shift:

(put 'none 'modifier-value 0)
(setq x-hyper-keysym 'none)


> Previously nil is the default.
> But some people couldn't input correctly, so I reverted it to t,
> also because I thought t was what the gtk app should be.
> See:
> https://github.com/masm11/emacs/issues/43

Regarding the behaviour with input methods, I honestly think that this is a bug that should be fixed since it straight up makes working Emacs setups impossible by disabling fcitx support (I have so far been unable to get ddskk working on NixOS).
--2455267607674fe992a5acf2208b452e
Content-Type: text/html
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><title></title><style type=3D"text/css">p.Mso=
Normal,p.MsoNoSpacing{margin:0}
p.MsoNormal,p.MsoNoSpacing{margin:0}</style></head><body><div>On Fri, Ma=
y 21, 2021, at 11:56, Yuuki Harano wrote:<br></div><blockquote type=3D"c=
ite" id=3D"qt" style=3D""><div>Does "these changes" mean this?<br></div>=
<div><br></div><div>&gt;&nbsp;&nbsp;&nbsp; (pgtk-use-im-context nil)<br>=
</div></blockquote><div><br></div><div>No, I was referring to the new de=
fault behaviour of the hyper key and how it changes how Emacs handles IS=
O_Level5_Shift:<br></div><div><br></div><div>(put 'none 'modifier-value =
0)<br></div><div>(setq x-hyper-keysym 'none)<br></div><div><br></div><di=
v><br></div><blockquote type=3D"cite" id=3D"qt" style=3D""><div>Previous=
ly nil is the default.<br></div><div>But some people couldn't input corr=
ectly, so I reverted it to t,<br></div><div>also because I thought t was=
 what the gtk app should be.<br></div><div>See:<br></div><div><a href=3D=
"https://github.com/masm11/emacs/issues/43">https://github.com/masm11/em=
acs/issues/43</a><br></div></blockquote><div><br></div><div>Regarding th=
e behaviour with input methods, I honestly think that this is a bug that=
 should be fixed since it straight up makes working Emacs setups impossi=
ble by disabling fcitx support (I have so far been unable to get ddskk w=
orking on NixOS).<br></div></body></html>
--2455267607674fe992a5acf2208b452e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 21 May 2021 09:56:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 21 05:56:41 2021
Received: from localhost ([127.0.0.1]:35876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lk1tZ-0002JL-0a
	for submit <at> debbugs.gnu.org; Fri, 21 May 2021 05:56:41 -0400
Received: from shiro.masm11.me ([150.95.182.25]:32908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masm@HIDDEN>) id 1lk1tW-0002Iw-HW
 for 48136 <at> debbugs.gnu.org; Fri, 21 May 2021 05:56:39 -0400
Received: from luna.pink.masm11.me (KD106180011126.au-net.ne.jp
 [106.180.11.126])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by shiro.masm11.me (Postfix) with ESMTPSA id 4DCFCC00C4;
 Fri, 21 May 2021 18:56:35 +0900 (JST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=masm11.me; s=202002;
 t=1621590995; bh=H/znWjRGh95DchsOFxW3HMOP1IP5Evf4WxJwUtVyRJw=;
 h=Date:To:Cc:Subject:From:In-Reply-To:References;
 b=AI9NXk38KQnmfShZEggoZb2O0KHE5tAMXg1quBZY0sMeEdNCKWh78N/X/1szwUJmZ
 5qBE8PPCYg2ro0pBOcNvTrrKRyI1lmnxPajtlLS2RhExEiHhDYq7M80UoRm5DJh1iP
 u/sXnWd2yzfSm2qFBGLqmFork2j5e5D6JfU8ddbc=
Date: Fri, 21 May 2021 18:56:34 +0900 (JST)
Message-Id: <20210521.185634.655611513748675597.masm@HIDDEN>
To: gnu-emacs@HIDDEN
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
From: Yuuki Harano <masm+emacs@HIDDEN>
In-Reply-To: <38d85b63-e293-465e-a4c8-5b885fd59362@HIDDEN>
References: <c46fc09d-6925-4805-9edb-33ff08bf086c@HIDDEN>
 <20210521.155757.1726693901068500719.masm@HIDDEN>
 <38d85b63-e293-465e-a4c8-5b885fd59362@HIDDEN>
Organization: Ingage Inc.
X-Mailer: Mew version 6.8 on Emacs 28.0
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On Fri, 21 May 2021 10:22:42 +0200,
	"Elia Nolz" <gnu-emacs@HIDDEN> wrote:
> Maybe it would be advisable to make these changes the default since that is how Emacs behaved to date?

Does "these changes" mean this?

>    (pgtk-use-im-context nil)

Previously nil is the default.
But some people couldn't input correctly, so I reverted it to t,
also because I thought t was what the gtk app should be.
See:
https://github.com/masm11/emacs/issues/43

-- 
Yuuki Harano




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 21 May 2021 08:23:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 21 04:23:17 2021
Received: from localhost ([127.0.0.1]:35718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lk0RB-0005tX-6z
	for submit <at> debbugs.gnu.org; Fri, 21 May 2021 04:23:17 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:54339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1lk0R5-0005tF-TC
 for 48136 <at> debbugs.gnu.org; Fri, 21 May 2021 04:23:16 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id C92EEFA8;
 Fri, 21 May 2021 04:23:05 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Fri, 21 May 2021 04:23:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm1; bh=PjBiytSbwzK10nwF1naEaqLYIB1l4W9
 5H964rWLF2mY=; b=PZH7UzGdoSnspn6vrVBEU1/qFjNzbiP9BrGQdK3lM4ToJh9
 DPc3flMVNNuPEnKF5OwutW1J6AOj2MZWWxX+zGfdvSsqSzz5AzMTrK4c4iaYLBCG
 qL2JngzCz5HF4rMVrbr0EUA5K2O3TfKQMLmIMSMAH6Ez3Ewm78jySd39u52xmhqv
 HQoVxz/pr4uRv2mJAtt8XUZewvH9qghl6A4riE/Wp1qJCuO5WFwSvKgPjOAWsRGb
 NZbLVbE+zxFj37rasZs7HVURJoH/X5hBwKmg4IvNoQu4q1KWwOdwF9XNrrkxy4L2
 jPEka2tpEfAZODYin/SOxfytC8l3Zx9wiYqB87g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=PjBiyt
 SbwzK10nwF1naEaqLYIB1l4W95H964rWLF2mY=; b=wD7RY1PhFMNiCWVuo3ke0k
 92el5oEcjaHyD9PY5uTBwYFp+42XO1+nRgCk7zUO7MGasr0ZNlNr0RpB37dBR66W
 BSGJksZU3rhS+Z6FNTKTHWLGVXxZSdCmXRVJLPwHsOhtqlXBiMSk0RuXgnVbigDt
 /U9m2CbpbHp9KVf6mTw7TbaqUFq5ZTfiPGlHCjdSbVFPO8GbX6pJFERGzf4aBiOl
 cmzTmDSbnfsVCiUJzycWr0ZlFdJXfXmxJ0hpBQh1HCU1IDfWnVkIBL+O4EDnBoEj
 8mpSv0DN6ij3ppLSL2EHsDVMciLaM6Yxesn6IJ6dr2aux7FkEmp6GHaKLHpl3lgw
 ==
X-ME-Sender: <xms:6G2nYBgFQIPpsnOGeyPaes_ABtAEEft_Bb2AJ664AQDsZ2OTKkSlJQ>
 <xme:6G2nYGDX6zBl3afJRbiKeE_lIhXv3wqBwC7695WJEV5iYzx4OQWdEYIUkkaEhQlQn
 ITQ9-McfKbBvQpKi4c>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdejfedgtdefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsegrtd
 erreerredtnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtshes
 lhihtghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeefkedtjefhheefheffhe
 dvhffhveffkeefieeiudeljeeuvdejiefggeduueettdenucevlhhushhtvghrufhiiigv
 pedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehgnhhuqdgvmhgrtghssehlhigthhgvvg
 hsvgdrohhrgh
X-ME-Proxy: <xmx:6G2nYBFMy3vQf9HUE4_z48TjTe3bXFm80QgBZTHY6GlX0kT9cSXsnA>
 <xmx:6G2nYGQVdn5hCKHqnfEilLQ_DW236E5IvqAxyMv7uXezzSQpQSFP8g>
 <xmx:6G2nYOy38ps2xQA7dMWa0p5rDQcAdEByi4RsNqcaqYvIwnmukILhgQ>
 <xmx:6W2nYDuWz_kY7oriEoscc0PkHsjvgoS47S9M-Z_DNNL9gkvj58xjlA>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 5AB8D15A0064; Fri, 21 May 2021 04:23:04 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-448-gae190416c7-fm-20210505.004-gae190416
Mime-Version: 1.0
Message-Id: <38d85b63-e293-465e-a4c8-5b885fd59362@HIDDEN>
In-Reply-To: <20210521.155757.1726693901068500719.masm@HIDDEN>
References: <00dafb80-759e-43cb-96f3-15dfa8b4392f@HIDDEN>
 <20210521.010250.796060491136889308.masm@HIDDEN>
 <c46fc09d-6925-4805-9edb-33ff08bf086c@HIDDEN>
 <20210521.155757.1726693901068500719.masm@HIDDEN>
Date: Fri, 21 May 2021 10:22:42 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=2caba9ab111e490f9a38f5f859288c3a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--2caba9ab111e490f9a38f5f859288c3a
Content-Type: text/plain

On Fri, May 21, 2021, at 08:57, Yuuki Harano wrote:
> > do I need to switch to ddskk or similar?
> 
> Yes.
Ok, I will do that then.

I have documented the configuration needed to get back to Emacs' default behaviour on my side but I have seen quite a few people who use a similar setup to mine struggle with the changes to the behaviour and some drop pgtk altogether.

Will there be a disclaimer or similar when pgtk is merged into master or when that version of Emacs is released? Maybe it would be advisable to make these changes the default since that is how Emacs behaved to date?
--2caba9ab111e490f9a38f5f859288c3a
Content-Type: text/html

<!DOCTYPE html><html><head><title></title><style type="text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style></head><body><div>On Fri, May 21, 2021, at 08:57, Yuuki Harano wrote:<br></div><blockquote type="cite" id="qt" style=""><div>&gt; do I need to switch to ddskk or similar?<br></div><div><br></div><div>Yes.<br></div></blockquote><div>Ok, I will do that then.<br></div><div><br></div><div>I have documented the configuration needed to get back to Emacs' default behaviour on my side but I have seen quite a few people who use a similar setup to mine struggle with the changes to the behaviour and some drop pgtk altogether.<br></div><div><br></div><div>Will there be a disclaimer or similar when pgtk is merged into master or when that version of Emacs is released? Maybe it would be advisable to make these changes the default since that is how Emacs behaved to date?<br></div></body></html>
--2caba9ab111e490f9a38f5f859288c3a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 21 May 2021 06:58:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 21 02:58:06 2021
Received: from localhost ([127.0.0.1]:35660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ljz6k-0003o2-Dj
	for submit <at> debbugs.gnu.org; Fri, 21 May 2021 02:58:06 -0400
Received: from shiro.masm11.me ([150.95.182.25]:60136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masm@HIDDEN>) id 1ljz6g-0003nW-5Z
 for 48136 <at> debbugs.gnu.org; Fri, 21 May 2021 02:58:05 -0400
Received: from luna.pink.masm11.me (KD106180011126.au-net.ne.jp
 [106.180.11.126])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits))
 (No client certificate requested)
 by shiro.masm11.me (Postfix) with ESMTPSA id 0848CC00C4;
 Fri, 21 May 2021 15:57:58 +0900 (JST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=masm11.me; s=202002;
 t=1621580279; bh=Uf2/0Hbeuoo1n+FMElUJUVT/xTB8g79Ij7WfFMzCU6M=;
 h=Date:To:Cc:Subject:From:In-Reply-To:References;
 b=QGddoTKyxZ6VNz7qSpa1j6qD4lSdg3qBqWt7/jdNWK+0fd3BS8HZ02c2srHNQt4S4
 PI46bArLx+knhEDGNHhNhZWWdSdbOpGR0zo22vkMSRSJtWuQvkMUFtcsS5QX6zrVbF
 ZE/yx3NRWpxMdNp0CPTMCMQABpW2zfHgFe5apQkM=
Date: Fri, 21 May 2021 15:57:57 +0900 (JST)
Message-Id: <20210521.155757.1726693901068500719.masm@HIDDEN>
To: gnu-emacs@HIDDEN
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
From: Yuuki Harano <masm+emacs@HIDDEN>
In-Reply-To: <c46fc09d-6925-4805-9edb-33ff08bf086c@HIDDEN>
References: <00dafb80-759e-43cb-96f3-15dfa8b4392f@HIDDEN>
 <20210521.010250.796060491136889308.masm@HIDDEN>
 <c46fc09d-6925-4805-9edb-33ff08bf086c@HIDDEN>
Organization: Ingage Inc.
X-Mailer: Mew version 6.8 on Emacs 28.0
Mime-Version: 1.0
Content-Type: Text/Plain; charset=iso-2022-jp
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On Thu, 20 May 2021 18:58:13 +0200,
	"Elia Nolz" <gnu-emacs@HIDDEN> wrote:
>>    (pgtk-use-im-context nil)
> With that the keybindings all work. But now I can no longer activate
> fcitx within Emacs…is it possible to get fcitx working another way
> or do I need to switch to ddskk or similar?

It disables GtkIM, so you can't use fcitx from emacs.

> do I need to switch to ddskk or similar?

Yes.

-- 
Yuuki Harano




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 20 May 2021 16:58:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 20 12:58:44 2021
Received: from localhost ([127.0.0.1]:35130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ljm0R-0001V9-St
	for submit <at> debbugs.gnu.org; Thu, 20 May 2021 12:58:44 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:54523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1ljm0P-0001Ut-7R
 for 48136 <at> debbugs.gnu.org; Thu, 20 May 2021 12:58:42 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id CEB945C0040;
 Thu, 20 May 2021 12:58:35 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Thu, 20 May 2021 12:58:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm1; bh=u7iFzQ4jiPnhVSmuQ74hmtzEIj5PTa+
 ImWHiBMM9tfo=; b=lwaPFkQlJ0ob6c5B5UOayxj/7Nyo3O1FZAwHKSbPhS0n8Jl
 lRrtY97NWOxK0PsED2Ca3Mo70GpKFpuNvqY5+w5yNwR6e3yWSfz+xo113a1McMm8
 bHe4JCUOKtiHnDkHqcuaIW3Ay0y/z2H1kZunGLHU9dC7h8DkR9vorP9DreFC9s0i
 22blZDs5OtLtv91k9oUp/Se7IsjVbQmTuzbJwJW8oF4f6iczzalqDP8wLgbPiR1C
 ZFayJiIuvmfKCDTyGom7PQ03Cd+kiCvFxHcOETenxHff1AIg54YmQPF570u36rl0
 T1Q8bKUmUDhFD66Xq+hHji7XciRp6XUicaZ+c5w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=u7iFzQ
 4jiPnhVSmuQ74hmtzEIj5PTa+ImWHiBMM9tfo=; b=f46FH2BOrdqKCX6h+BKZi5
 P++JuTdcTp+MiVj7jyX4vJqMs7MC9cACalrXyq351hdAX0LHKznZGG7tXCh8z2XL
 RMoZfunmdQS3HMiXX46zzsDxglEy7z/OZQYXE44XhnRaU3p2rRPbbsFJEueZBe/G
 c0pK3USdoKkox7ZnRKRWKrVOju/fUyUu4B+l12N3bvfvwSzccHSD4471ClYZc9a5
 mzvWf/GEuQKTJUHi0b/9jV4/8hRycwJ7tukVh6Xfp77daTma5EaKm9Hy365Ety3R
 pMAB5ryd4m5KwsCz5hQoeXt96BFpi/B1w/+mUL6zGj14Ih9wscEsBOrfJQ77KqSQ
 ==
X-ME-Sender: <xms:O5WmYK0uGn5mwLgVaJcLeI_FARJ3fIw66iITN-C-x1x3Px3y30sdTg>
 <xme:O5WmYNFph4xqkIQtnYrZkdvpWwxHnoSu_Y3MsIP5FhtMFcUDdOLg0fhKKlbJLUUla
 Kv8JYlR8UjxqgZeg8U>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdejuddguddtkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepofgfggfkjghffffhvffutgesrg
 dtreerreerjeenucfhrhhomhepfdfglhhirgcupfholhiifdcuoehgnhhuqdgvmhgrtghs
 sehlhigthhgvvghsvgdrohhrgheqnecuggftrfgrthhtvghrnhepffetgedufedvkeetke
 fgteejgeekvdffheejieffgeegfeekudeihefhiefhfffgnecuvehluhhsthgvrhfuihii
 vgeptdenucfrrghrrghmpehmrghilhhfrhhomhepghhnuhdqvghmrggtsheslhihtghhvg
 gvshgvrdhorhhg
X-ME-Proxy: <xmx:O5WmYC4sxkD9p3nHqWegdhCqfMIIzZU3iN8j5milpFcxpPPSDrjkiA>
 <xmx:O5WmYL2PXYOpib80XlP0bcoaCY78tB58-6SYEmTKa_4snoOCoWmjAA>
 <xmx:O5WmYNHFeaJ84ZStejpddjVpW6wwcLM6_ZsBF14J5gASv4wsdAtBHw>
 <xmx:O5WmYMylJsJBEu2qIJRG5KuBHl1ChOt77Kj3mv95Yr9RbfB_K-wzXQ>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 0C6AD15A0064; Thu, 20 May 2021 12:58:34 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-448-gae190416c7-fm-20210505.004-gae190416
Mime-Version: 1.0
Message-Id: <c46fc09d-6925-4805-9edb-33ff08bf086c@HIDDEN>
In-Reply-To: <20210521.010250.796060491136889308.masm@HIDDEN>
References: <4fd2cacb-8df1-41ec-8951-ba0d99e33431@HIDDEN>
 <20210520.200227.525100289182643979.masm@HIDDEN>
 <00dafb80-759e-43cb-96f3-15dfa8b4392f@HIDDEN>
 <20210521.010250.796060491136889308.masm@HIDDEN>
Date: Thu, 20 May 2021 18:58:13 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=f6348d0cf7464cee9205864db7cebfda
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--f6348d0cf7464cee9205864db7cebfda
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Thu, May 20, 2021, at 18:02, Yuuki Harano wrote:
>    (pgtk-use-im-context nil)
With that the keybindings all work. But now I can no longer activate fci=
tx within Emacs=E2=80=A6is it possible to get fcitx working another way =
or do I need to switch to ddskk or similar?
--f6348d0cf7464cee9205864db7cebfda
Content-Type: text/html;charset=utf-8
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><title></title><style type=3D"text/css">p.Mso=
Normal,p.MsoNoSpacing{margin:0}</style></head><body><div>On Thu, May 20,=
 2021, at 18:02, Yuuki Harano wrote:<br></div><blockquote type=3D"cite" =
id=3D"qt" style=3D""><div>&nbsp;&nbsp; (pgtk-use-im-context nil)<br></di=
v></blockquote><div>With that the keybindings all work. But now I can no=
 longer activate fcitx within Emacs=E2=80=A6is it possible to get fcitx =
working another way or do I need to switch to ddskk or similar?<br></div=
></body></html>
--f6348d0cf7464cee9205864db7cebfda--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 20 May 2021 16:03:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 20 12:03:00 2021
Received: from localhost ([127.0.0.1]:35055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ljl8W-0008Uy-6C
	for submit <at> debbugs.gnu.org; Thu, 20 May 2021 12:03:00 -0400
Received: from shiro.masm11.me ([150.95.182.25]:54672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masm@HIDDEN>) id 1ljl8S-0008Uk-1K
 for 48136 <at> debbugs.gnu.org; Thu, 20 May 2021 12:02:58 -0400
Received: from luna.pink.masm11.me (KD111239252185.au-net.ne.jp
 [111.239.252.185])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits))
 (No client certificate requested)
 by shiro.masm11.me (Postfix) with ESMTPSA id 81C51C00C4;
 Fri, 21 May 2021 01:02:52 +0900 (JST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=masm11.me; s=202002;
 t=1621526572; bh=Xu6J3JNUpTYJl8I+Bqess8zpzRTYU+mJFBYrFQDM4DQ=;
 h=Date:To:Cc:Subject:From:In-Reply-To:References;
 b=ZVgYMEXEkogLOFBb7VIEpIM3YvLMmtfEurJzkr84ebKXKM2jukUwgECTz2uWxusp+
 JjcbghRldDTq63QvLvq6oREYrz22oZ2BSfOueubapKdmhtXOVfXCRBRX1QhP4Imi+z
 Gw8i1/wI/yVUii0eaDymx+y/5hlqk7HmF9A6GjGo=
Date: Fri, 21 May 2021 01:02:50 +0900 (JST)
Message-Id: <20210521.010250.796060491136889308.masm@HIDDEN>
To: gnu-emacs@HIDDEN
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
From: Yuuki Harano <masm+emacs@HIDDEN>
In-Reply-To: <00dafb80-759e-43cb-96f3-15dfa8b4392f@HIDDEN>
References: <4fd2cacb-8df1-41ec-8951-ba0d99e33431@HIDDEN>
 <20210520.200227.525100289182643979.masm@HIDDEN>
 <00dafb80-759e-43cb-96f3-15dfa8b4392f@HIDDEN>
Organization: Ingage Inc.
X-Mailer: Mew version 6.8 on Emacs 28.0
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you for the detail.

On Thu, 20 May 2021 15:28:49 +0200,
	"Elia Nolz" <gnu-emacs@HIDDEN> wrote:
> I was unable to get the keysym of the key itself in the non-working cases.

1. Start pgtk emacs.
2. Execute:
   (pgtk-use-im-context nil)
3. Test once more.

-- 
Yuuki Harano




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 20 May 2021 13:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 20 09:29:18 2021
Received: from localhost ([127.0.0.1]:33403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ljijl-0001fG-Py
	for submit <at> debbugs.gnu.org; Thu, 20 May 2021 09:29:18 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:45927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1ljijj-0001ex-TY
 for 48136 <at> debbugs.gnu.org; Thu, 20 May 2021 09:29:16 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id A26335C012B;
 Thu, 20 May 2021 09:29:10 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Thu, 20 May 2021 09:29:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm1; bh=l0z04nMdLdGDeu+/KBaPesUr0yuIhLc
 fV3O6JAd0Whs=; b=CzhLW8WQ4z7oW2sc3fzEteEbDXEjULgxiyqJry8Lzxq+LT9
 qHwfU5Xl0qXYpHRZdv905omq7pooWqBfmSbyo6PvwlUAz0dC+AAf3RqTK+Grn24H
 C+PfnsPHSE7WwrdpC0KfICtJMCvOxYXXJQ3ORk+aRGj4sJBHoRkbJo2LN9bppOzS
 s8n4Wbwi/NQvgIj1bbw9wvUOw2ZCsKxIgZ1GTJ4VMymmmR2roOgHFQn0bChN0gWK
 UscH0Yv0dOvXRoGf2DvlcUOPXLicQ3uAdfuHvHeai18turwWI60BDTxQPNVgpXf9
 o10UV7To72B/twxRdvzygOBcIDlKUfqKd0sLUWQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=l0z04n
 MdLdGDeu+/KBaPesUr0yuIhLcfV3O6JAd0Whs=; b=U1hWyhYgz+ewxVuXhaMkd5
 lqG5tBwwsJU0DJRMRlZAchzrek6BV8mTkYQjOvktRA0fWLMJJD4FmFoGlWMYMfJE
 4+GblPFZB7f9ATNxvPSv12wsMJXE/AcE2YIQblIf7+6fgoddEcJVxH4KuGELLD+z
 U+RmpcNPFTqVewXPdZmGfiOGxXr5ovdCEvKOf5IhwjE0Kp/vwI9iwjLFpdLJQ3I4
 vBlGjmpsqWMxq4//Hu0CI2BWJpqg6kFIhowuigP4p+bpXa0FSB6ARsdmoYHll19l
 yBCnzJEOTSVQGuAvZnFgbq1/+8hOvvqj88xX8Bpu1L04hfOpytzODqJxcVqwJdfg
 ==
X-ME-Sender: <xms:JWSmYJEAPCjUpkGd-yPuXujmu0QShvh0vxB_X50va3c4fbv9jUr56w>
 <xme:JWSmYOWfsJVC40yWc4b7txxpNaGlLgCnzKia3UiU7NAy15lx7gIcsIFLOCkyi6akp
 MCKzQ444S9q9VBhnWE>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdejuddgieegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsegrtd
 erreerredtnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtshes
 lhihtghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeefkedtjefhheefheffhe
 dvhffhveffkeefieeiudeljeeuvdejiefggeduueettdenucevlhhushhtvghrufhiiigv
 pedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehgnhhuqdgvmhgrtghssehlhigthhgvvg
 hsvgdrohhrgh
X-ME-Proxy: <xmx:JWSmYLIqWGBPVGKMpyNEzuaXcPvzxvJiLkD3l6qqnWQvjCO-kxr4zg>
 <xmx:JWSmYPGF4Tj2OMTAX9-J2XSK8ssaQpWo5pFIoQmwncUPzJOsiikwZg>
 <xmx:JWSmYPVRzIrWlWLEpDjRPfTFSEH3ax2TE-hZUVl67kgc5h0DrckAdA>
 <xmx:JmSmYGAK8cW2lqlGAQkjaq5Gubl2gGdjBqVGIueSMgtVxqKlQDGSlw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 9FDC015A005F; Thu, 20 May 2021 09:29:09 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-448-gae190416c7-fm-20210505.004-gae190416
Mime-Version: 1.0
Message-Id: <00dafb80-759e-43cb-96f3-15dfa8b4392f@HIDDEN>
In-Reply-To: <20210520.200227.525100289182643979.masm@HIDDEN>
References: <20210509.191718.2116501296691688243.masm@HIDDEN>
 <36aaea82-796d-4f1e-a230-b6be4b342b68@HIDDEN>
 <4fd2cacb-8df1-41ec-8951-ba0d99e33431@HIDDEN>
 <20210520.200227.525100289182643979.masm@HIDDEN>
Date: Thu, 20 May 2021 15:28:49 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=d61f78b5548a4c87bbd9af785429f20d
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--d61f78b5548a4c87bbd9af785429f20d
Content-Type: text/plain

On Thu, May 20, 2021, at 13:02, Yuuki Harano wrote:
> Key events are handled in key_press_event() in pgtkterm.c.
> I think `keysym` contains a character code, which is already
> interpreted.

I stepped through the code with gdb and watched the keysym values.

I observed the following values for keysym in this order when pressing "C-L3-i" (sends "C-{") (working case):
65507 (state goes to 4 --> state to 0 and modifiers to 4)
65027 (state becomes 132 --> modifiers becomes 132 and state 128)
123 (no changes to state and modifiers)
65515 (should be me using Super+o to switch workspaces in xmonad)

And these for the non working case "C-L3-n" (which sends "(" and should send "C-("):
65507 (state to 4 --> state to 0 and modifiers to 4)
65027 (both state and modifiers become 0)
65515

I was unable to get the keysym of the key itself in the non-working cases.

Used breakpoints in pgtkterm.c:
5669
5687
5701
5710
5731
5809
5860
5876

I sadly do not know enough C to understand why this happens. Does this help you at all? Any further information I could provide that would be helpful?
--d61f78b5548a4c87bbd9af785429f20d
Content-Type: text/html
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><title></title><style type=3D"text/css">p.Mso=
Normal,p.MsoNoSpacing{margin:0}</style></head><body><div>On Thu, May 20,=
 2021, at 13:02, Yuuki Harano wrote:<br></div><blockquote type=3D"cite" =
id=3D"qt" style=3D""><div>Key events are handled in key_press_event() in=
 pgtkterm.c.<br></div><div>I think `keysym` contains a character code, w=
hich is already<br></div><div>interpreted.<br></div></blockquote><div><b=
r></div><div>I stepped through the code with gdb and watched the keysym =
values.<br></div><div><br></div><div>I observed the following values for=
 keysym in this order when pressing "C-L3-i" (sends "C-{") (working case=
):<br></div><div>65507 (state goes to 4 --&gt; state to 0 and modifiers =
to 4)<br></div><div>65027 (state becomes 132 --&gt; modifiers becomes 13=
2 and state 128)<br></div><div>123 (no changes to state and modifiers)<b=
r></div><div>65515 (should be me using Super+o to switch workspaces in x=
monad)<br></div><div><br></div><div>And these for the non working case "=
C-L3-n" (which sends "(" and should send "C-("):<br></div><div>65507 (st=
ate to 4 --&gt; state to 0 and modifiers to 4)<br></div><div>65027 (both=
 state and modifiers become 0)<br></div><div>65515<br></div><div><br></d=
iv><div>I was unable to get the keysym of the key itself in the non-work=
ing cases.<br></div><div><br></div><div>Used breakpoints in pgtkterm.c:<=
br></div><div>5669<br></div><div>5687<br></div><div>5701<br></div><div>5=
710<br></div><div>5731<br></div><div>5809<br></div><div>5860<br></div><d=
iv>5876<br></div><div><br></div><div>I sadly do not know enough C to und=
erstand why this happens. Does this help you at all? Any further informa=
tion I could provide that would be helpful?<br></div></body></html>
--d61f78b5548a4c87bbd9af785429f20d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 20 May 2021 11:02:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 20 07:02:37 2021
Received: from localhost ([127.0.0.1]:33200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ljgRp-00085H-Or
	for submit <at> debbugs.gnu.org; Thu, 20 May 2021 07:02:37 -0400
Received: from shiro.masm11.me ([150.95.182.25]:52916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masm@HIDDEN>) id 1ljgRn-000855-4t
 for 48136 <at> debbugs.gnu.org; Thu, 20 May 2021 07:02:36 -0400
Received: from luna.pink.masm11.me (KD111239252185.au-net.ne.jp
 [111.239.252.185])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits))
 (No client certificate requested)
 by shiro.masm11.me (Postfix) with ESMTPSA id 83270C010F;
 Thu, 20 May 2021 20:02:31 +0900 (JST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=masm11.me; s=202002;
 t=1621508551; bh=R5sPgQL0r0FOsLCGuISdkkkutx5mMJvHvQ1vafprlOc=;
 h=Date:To:Cc:Subject:From:In-Reply-To:References;
 b=GuqPyKwu/4KdgqbUedQbMJmjvgPbwkW86UBKR3yATmjRBpz891+1FARAk4h+4TduQ
 rTaap5UagqN5wRFOuh0b8HH/qnyvk7nH2LZ2UyoiZxBnh0iEgk7MokF+Oxew+mFk8N
 Ruzok/3eCnPaIOdPoc3uX7PlmpeizF4/CpkfivSg=
Date: Thu, 20 May 2021 20:02:27 +0900 (JST)
Message-Id: <20210520.200227.525100289182643979.masm@HIDDEN>
To: gnu-emacs@HIDDEN
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
From: Yuuki Harano <masm+emacs@HIDDEN>
In-Reply-To: <4fd2cacb-8df1-41ec-8951-ba0d99e33431@HIDDEN>
References: <20210509.191718.2116501296691688243.masm@HIDDEN>
 <36aaea82-796d-4f1e-a230-b6be4b342b68@HIDDEN>
 <4fd2cacb-8df1-41ec-8951-ba0d99e33431@HIDDEN>
Organization: Ingage Inc.
X-Mailer: Mew version 6.8 on Emacs 28.0
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On Thu, 20 May 2021 11:30:46 +0200,
	"Elia Nolz" <gnu-emacs@HIDDEN> wrote:
> I am not really sure how to debug this further since I do not know
> where the processing of interpreting a key press starts in
> Emacs. Any tips on this?

Key events are handled in key_press_event() in pgtkterm.c.
I think `keysym` contains a character code, which is already
interpreted.

-- 
Yuuki Harano




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 20 May 2021 09:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 20 05:31:15 2021
Received: from localhost ([127.0.0.1]:33132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ljf1O-0005an-Vh
	for submit <at> debbugs.gnu.org; Thu, 20 May 2021 05:31:15 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:48787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1ljf1N-0005aa-Tb
 for 48136 <at> debbugs.gnu.org; Thu, 20 May 2021 05:31:14 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id D3BA25C006C;
 Thu, 20 May 2021 05:31:07 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Thu, 20 May 2021 05:31:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm1; bh=ZYPA+4LjBzdVI1rl0CGG1FaUiB5a+t/
 6ntutscpqsGc=; b=S/HMQa9lXrMF9pXG8VucYF+wH4y4epAXY66Fm2UB/z8tCA5
 tInpgGrXm+G54nlDPH3t1v0vfs1gNAVlajQ3HL1H8skK9BsgbLZuHIcAuFHBYX5E
 sPGi8lxBXZta9kbBMFMjyD8zaeXMXYkHpjoKeYqBxaM/aHiGVEdQlSoDtdxaT8lL
 Ov3Hr8V7ABvX2HqUzbJe9hq0CEQ13YXeqVESvqmBzM4SLBlqvB6ojArmfwYVXeUU
 LygV6OfXGqNk58pmRwCjnRjMK1qU0r64lJXEyyfs/MnLwyIGo0SbYuK79gJdvVMt
 51i6jcKxL4UVlFAmsJgTd5AuuaRE5ze1QC7oIrA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=ZYPA+4
 LjBzdVI1rl0CGG1FaUiB5a+t/6ntutscpqsGc=; b=rz2gfBbUQ322pfMKYlOrfK
 xafPoWmFw/hqZLHhNGbTJgae3ovHHzN4NjAtSM9aqI6Wh40lTbVgWC+9pnlDoTfp
 SpFxJWIfWeUqEvtjdaJ3OERMO0f98q2qCai8ugZ4jEy4dfHOdRO2sRzgrzNcXWKg
 aCV2laKxoij3By9f7VEcH6VYqxfgxgxFu9Pme+ACD9AQWNLr6rD1g3VAb/dxOXkn
 zPfVtnKDC4qjMipIyCcuLx7wH3EQJbbexc5eQZdc8nXm2R3KPn7X0ZFvmFtT9qjo
 NjZLyKgPoKidKeHloB/Yg7BPCbbbY08JDyuvMec4szqo2uA7bArMX7vLaAhhwG/g
 ==
X-ME-Sender: <xms:WiymYM9gE22Ym7FzBYI2aSN_BA9YAFA4htdE4_E7IxUZYjBifW9OCA>
 <xme:WiymYEtOBOMtiqil3ls07r_rGlXoUTo9u3rIYYlDej0Fk3wA9KmiA0Zc6YXddt8dh
 -xKrKpId4PcYQkiL4c>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdejuddgudeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsegrtd
 erreerreejnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtshes
 lhihtghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeffteegudefvdekteekgf
 etjeegkedvffehjeeiffeggeefkeduieehhfeihfffgfenucevlhhushhtvghrufhiiigv
 pedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehgnhhuqdgvmhgrtghssehlhigthhgvvg
 hsvgdrohhrgh
X-ME-Proxy: <xmx:WiymYCAQsbXfu6mMce_DrTZteSK8R0iXtYF7cqtWTJeZkxJuktmXhA>
 <xmx:WiymYMcJRFP3Go7nBVaR5ljba2JHT4VnpGxtJc62j9mOFYs5pMpAIQ>
 <xmx:WiymYBO4eGaK7LEE7IFKwQebYDGOuptafyZg9dRvv9QDFmZUa0SlVA>
 <xmx:WyymYIbfyUUH4DN7fOukAwXbayFtrM6o9XIY4wnph7pBnRNHA9-r2w>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id C40F715A005F; Thu, 20 May 2021 05:31:06 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-448-gae190416c7-fm-20210505.004-gae190416
Mime-Version: 1.0
Message-Id: <4fd2cacb-8df1-41ec-8951-ba0d99e33431@HIDDEN>
In-Reply-To: <36aaea82-796d-4f1e-a230-b6be4b342b68@HIDDEN>
References: <313b4b03-e4e4-4a2f-b6af-cf2e47264722@HIDDEN>
 <20210509.191718.2116501296691688243.masm@HIDDEN>
 <36aaea82-796d-4f1e-a230-b6be4b342b68@HIDDEN>
Date: Thu, 20 May 2021 11:30:46 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=e4c32756d5ae45c18fcdea844ad1aed0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--e4c32756d5ae45c18fcdea844ad1aed0
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sun, May 9, 2021, at 12:47, Elia Nolz wrote:
> On Sun, May 9, 2021, at 12:17, Yuuki Harano wrote:
>> Does this work for you?
>>=20
>> (put 'none 'modifier-value 0)
>> (setq x-hyper-keysym 'none)
>=20
> Yes this works perfectly for ISO_Level5_Shift. Thank you very much.
>=20
> Sadly I stumbled upon another problem:
>=20
> ISO_Level3_Shift combined with other modifiers is also partly broken. =
E.g. when using C-ISO_Level3_Shift-w (ISO_Level3_Shift-w is & in my layo=
ut) it just sends '&' instead of 'C-&'. Strangely enough the same is not=
 true for 'C-ISO_Level3_Shift-a' which sends 'C-]' as it should. And 'C-=
IL3-u' sends 'ESC' instead of 'C-['. I am thoroughly confused.

I tested it a bit more and ended up with the following list:

Working key combinations (Ctrl and ISO_Level3_Shift held):
C-_
C-[ (I have since realized that it is expected behaviour that this sends=
 ESC)
C-]
C-^
C-\
C-/
C-{
C-}
C-|
C-~
C-`
C-@

Non-working combinations (Ctrl held):
C-=C3=BC
C-=C3=A4
C-=C3=B6

Non-working combinantions (Ctrl and ISO_Level3_Shift held):
C-=E2=80=A6
C-*
C-#
C-$
C-!
C-<
C->
C-=3D
C-&
C-?
C-(
C-)
C--
C-:
C-+
C-%
C-"
C-'
C-;
C-=C5=BF

I am not really sure how to debug this further since I do not know where=
 the processing of interpreting a key press starts in Emacs. Any tips on=
 this?
--e4c32756d5ae45c18fcdea844ad1aed0
Content-Type: text/html;charset=utf-8
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><title></title><style type=3D"text/css">
p.MsoNormal,p.MsoNoSpacing{margin:0}</style></head><body><div>On Sun, Ma=
y 9, 2021, at 12:47, Elia Nolz wrote:<br></div><blockquote type=3D"cite"=
 id=3D"qt" style=3D""><div>On Sun, May 9, 2021, at 12:17, Yuuki Harano w=
rote:<br></div><blockquote type=3D"cite" id=3D"qt-qt" style=3D""><div>Do=
es this work for you?<br></div><div><br></div><div>(put 'none 'modifier-=
value 0)<br></div><div>(setq x-hyper-keysym 'none)<br></div></blockquote=
><div><br></div><div>Yes this works perfectly for ISO_Level5_Shift. Than=
k you very much.<br></div><div><br></div><div>Sadly I stumbled upon anot=
her problem:<br></div><div><br></div><div>ISO_Level3_Shift combined with=
 other modifiers is also partly broken. E.g. when using C-ISO_Level3_Shi=
ft-w (ISO_Level3_Shift-w is &amp; in my layout) it just sends '&amp;' in=
stead of 'C-&amp;'. Strangely enough the same is not true for 'C-ISO_Lev=
el3_Shift-a' which sends 'C-]' as it should. And 'C-IL3-u' sends 'ESC' i=
nstead of 'C-['. I am thoroughly confused.<br></div></blockquote><div><b=
r></div><div>I tested it a bit more and ended up with the following list=
:<br></div><div><br></div><div>Working key combinations (Ctrl and ISO_Le=
vel3_Shift held):<br></div><div>C-_<br></div><div>C-[ (I have since real=
ized that it is expected behaviour that this sends ESC)<br></div><div>C-=
]<br></div><div>C-^<br></div><div>C-\<br></div><div>C-/<br></div><div>C-=
{<br></div><div>C-}<br></div><div>C-|<br></div><div>C-~<br></div><div>C-=
`<br></div><div>C-@<br></div><div><br></div><div>Non-working combination=
s (Ctrl held):<br></div><div>C-=C3=BC<br></div><div>C-=C3=A4<br></div><d=
iv>C-=C3=B6<br></div><div><br></div><div>Non-working combinantions (Ctrl=
 and ISO_Level3_Shift held):<br></div><div>C-=E2=80=A6<br></div><div>C-*=
<br></div><div>C-#<br></div><div>C-$<br></div><div>C-!<br></div><div>C-&=
lt;<br></div><div>C-&gt;<br></div><div>C-=3D<br></div><div>C-&amp;<br></=
div><div>C-?<br></div><div>C-(<br></div><div>C-)<br></div><div>C--<br></=
div><div>C-:<br></div><div>C-+<br></div><div>C-%<br></div><div>C-"<br></=
div><div>C-'<br></div><div>C-;<br></div><div>C-=C5=BF<br></div><div><br>=
</div><div>I am not really sure how to debug this further since I do not=
 know where the processing of interpreting a key press starts in Emacs. =
Any tips on this?<br></div></body></html>
--e4c32756d5ae45c18fcdea844ad1aed0--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 9 May 2021 10:48:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 06:48:35 2021
Received: from localhost ([127.0.0.1]:55293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfgzD-0001uF-Hg
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 06:48:35 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:39743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1lfgzB-0001u9-Er
 for 48136 <at> debbugs.gnu.org; Sun, 09 May 2021 06:48:34 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id 49C98195B;
 Sun,  9 May 2021 06:48:27 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Sun, 09 May 2021 06:48:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm1; bh=o3OnhyJ6kZXucEFFQbRKxJOzHi10/2k
 lQ8vIFtQpp8I=; b=P3ndlNG9u30IhGmU/B/AjBU0Z2zjJw5N+/PydrRLw8StlOJ
 /EfjfVZ8koLHjcIcvwVoh1fCwhjVVN1VWCCDPnXTl00O+FESLY3XMXZDzpH7S6GX
 qodvJvrzjLiIx2CIOnGWRW2M1MWr9ywIMqQ+Z1iv6tsE/yB4ZObSqQG5HdH1SYiH
 Gf+ixoAxANrkAzcvpLkTUmX0cr949CWlMwhYLUf93td9IZvCorOAUQibGfMEu6/B
 sPSr1G/G/DUSNiny8xNy7T9T+hqvIX589xFWlc5+0vM0VlS2r003zuwnXTpskEgR
 E/ZloxTAiPq2Af4OtLHFg06p+Uj1LEw0szCFNPA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=o3Onhy
 J6kZXucEFFQbRKxJOzHi10/2klQ8vIFtQpp8I=; b=cPpzhjAYd0yUed2LDirGCs
 kfncoP7YCBdSmVShnBw69gzEJwCfo8xRA9Gx2vbqNMIUS/kFKQeTBbMQMywBMWWn
 Kt8S5V05QK6C+K65yCarQuX9CT7U1tA1o13+Il695rRRcwQfcvj3DD00L1jLLl9i
 bZUuhmEsCau8D07X8UbB6f7ctAvV1F8bF/HQG9H7gSQhQmA2Qa/UdQaqNmkpaRy4
 upd6OHXVD8SKS3aZY1lns0M3tEbUwhuY+oAWKan8uhvqXjZLogR8CdQB7rC4iWI5
 QluUH6DNVd1/A3Swo4mfq2C6unztCevURbYT7ziKixx13kGOqpjQWJ7n2kE2j7Kw
 ==
X-ME-Sender: <xms:-r2XYLfATNnhZ9IHKqroirtOguH6624kOWizFhiP3chHQHQMkfhQ0w>
 <xme:-r2XYBOUfB0hcOjmci85oedcFdENLf2DRYbbSKzrKDxPxiQx_bqr136aYdkbBpc7L
 Uo8hKMMJ5l0NlboX0U>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdegiedgfeegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfgjfhffhffvufgtsegrtd
 erreerredtnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtshes
 lhihtghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeefkedtjefhheefheffhe
 dvhffhveffkeefieeiudeljeeuvdejiefggeduueettdenucevlhhushhtvghrufhiiigv
 pedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehgnhhuqdgvmhgrtghssehlhigthhgvvg
 hsvgdrohhrgh
X-ME-Proxy: <xmx:-r2XYEh2-G1wo4r1EKITNtWtYZKPF9HpOigCD5vNBWSmksDz7FJ7ww>
 <xmx:-r2XYM94UszsNNeBJg6tqMeIAN6XjYtcNfPjRPBKDsK1Gb6SYM1qfA>
 <xmx:-r2XYHsuvzT0JEZ4Jr9qndG25ALMLrd_KiM2XgD8kLXs8aMJIZV6RQ>
 <xmx:-r2XYE4WitDEUknRXZmBkPXUzpPaoOzFNyjxdL6dOBCbxn4s-RtXvA>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 02D0915A04C1; Sun,  9 May 2021 06:48:25 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-448-gae190416c7-fm-20210505.004-gae190416
Mime-Version: 1.0
Message-Id: <36aaea82-796d-4f1e-a230-b6be4b342b68@HIDDEN>
In-Reply-To: <20210509.191718.2116501296691688243.masm@HIDDEN>
References: <313b4b03-e4e4-4a2f-b6af-cf2e47264722@HIDDEN>
 <20210509.191718.2116501296691688243.masm@HIDDEN>
Date: Sun, 09 May 2021 12:47:38 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: "Yuuki Harano" <masm+emacs@HIDDEN>
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=692b9068625f42fc8f8810a94f888f1a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--692b9068625f42fc8f8810a94f888f1a
Content-Type: text/plain

On Sun, May 9, 2021, at 12:17, Yuuki Harano wrote:
> Does this work for you?
> 
> (put 'none 'modifier-value 0)
> (setq x-hyper-keysym 'none)

Yes this works perfectly for ISO_Level5_Shift. Thank you very much.

Sadly I stumbled upon another problem:

ISO_Level3_Shift combined with other modifiers is also partly broken. E.g. when using C-ISO_Level3_Shift-w (ISO_Level3_Shift-w is & in my layout) it just sends '&' instead of 'C-&'. Strangely enough the same is not true for 'C-ISO_Level3_Shift-a' which sends 'C-]' as it should. And 'C-IL3-u' sends 'ESC' instead of 'C-['. I am thoroughly confused.
--692b9068625f42fc8f8810a94f888f1a
Content-Type: text/html

<!DOCTYPE html><html><head><title></title><style type="text/css">p.MsoNormal,p.MsoNoSpacing{margin:0}</style></head><body><div>On Sun, May 9, 2021, at 12:17, Yuuki Harano wrote:<br></div><blockquote type="cite" id="qt" style=""><div>Does this work for you?<br></div><div><br></div><div>(put 'none 'modifier-value 0)<br></div><div>(setq x-hyper-keysym 'none)<br></div></blockquote><div><br></div><div>Yes this works perfectly for ISO_Level5_Shift. Thank you very much.<br></div><div><br></div><div>Sadly I stumbled upon another problem:<br></div><div><br></div><div>ISO_Level3_Shift combined with other modifiers is also partly broken. E.g. when using C-ISO_Level3_Shift-w (ISO_Level3_Shift-w is &amp; in my layout) it just sends '&amp;' instead of 'C-&amp;'. Strangely enough the same is not true for 'C-ISO_Level3_Shift-a' which sends 'C-]' as it should. And 'C-IL3-u' sends 'ESC' instead of 'C-['. I am thoroughly confused.<br></div></body></html>
--692b9068625f42fc8f8810a94f888f1a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 9 May 2021 10:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 06:17:25 2021
Received: from localhost ([127.0.0.1]:55262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfgV3-0001G5-Bu
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 06:17:25 -0400
Received: from shiro.masm11.me ([150.95.182.25]:35030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <masm@HIDDEN>) id 1lfgV1-0001Cv-Bg
 for 48136 <at> debbugs.gnu.org; Sun, 09 May 2021 06:17:24 -0400
Received: from luna.pink.masm11.me (KD106180014053.au-net.ne.jp
 [106.180.14.53])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits))
 (No client certificate requested)
 by shiro.masm11.me (Postfix) with ESMTPSA id 35BB9C00D0;
 Sun,  9 May 2021 19:17:20 +0900 (JST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=masm11.me; s=202002;
 t=1620555440; bh=6M6KRq5C2M6u0XsKoIJIaJB8T7o5JAsazya6XsFYitg=;
 h=Date:To:Cc:Subject:From:In-Reply-To:References;
 b=nBvcdD3YycaTfhWPa9Ge2XV2hjuC40mqVOp0GuYXi55AwpGzWrnWw6aEqAnjyCHCi
 p4zWJdWjJBUw6nTircDrhFpxpHe3M3OgTulQwdUZ6X1j2SHsMrdtOSNHOPnC/UQDuQ
 7JrsSOyCiqW4fiMEbRfYFxqA605OrWvlNOJF+20Q=
Date: Sun, 09 May 2021 19:17:18 +0900 (JST)
Message-Id: <20210509.191718.2116501296691688243.masm@HIDDEN>
To: gnu-emacs@HIDDEN
Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
From: Yuuki Harano <masm+emacs@HIDDEN>
In-Reply-To: <313b4b03-e4e4-4a2f-b6af-cf2e47264722@HIDDEN>
References: <313b4b03-e4e4-4a2f-b6af-cf2e47264722@HIDDEN>
Organization: Ingage Inc.
X-Mailer: Mew version 6.8 on Emacs 28.0
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48136
Cc: 48136 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On Sat, 08 May 2021 13:50:28 +0200,
	"Elia Nolz" <gnu-emacs@HIDDEN> wrote:
> I was able to work around the bug by using `(define-key key-translation-map (kbd "H-<down>") (kbd "<down>"))` etc. for all ISO_Level5 keys but that is a bit too cluncky and static for my tastes. Is there a way to just translate every "H-" binding to just not have the modifier applied? Is there a list of all possible keys Emacs accepts and that I can use to just `map` over the `define-key` statement.
> 
> xmodmap output:
> 
> ```
> xmodmap:  up to 3 keys per modifier, (keycodes in parentheses):
> 
> shift       Shift_L (0x32),  Shift_R (0x3e)
> lock        Shift_L (0x32)
> control     Control_L (0x40),  Control_R (0x69)
> mod1        Alt_L (0x85),  Meta_L (0xcd)
> mod2        BadKey (0xcf)
> mod3        ISO_Level5_Shift (0xcb)
> mod4        Super_L (0x25),  Super_R (0x86),  Super_L (0xce)
> mod5        ISO_Level3_Shift (0x5c)
> ```

Thanks for xmodmap output.
mod3 is used as hyper in pgtk emacs.

Does this work for you?

(put 'none 'modifier-value 0)
(setq x-hyper-keysym 'none)

-- 
Yuuki Harano




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at 48136 <at> debbugs.gnu.org:


Received: (at 48136) by debbugs.gnu.org; 8 May 2021 15:51:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 08 11:51:11 2021
Received: from localhost ([127.0.0.1]:50938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfPET-0002er-LT
	for submit <at> debbugs.gnu.org; Sat, 08 May 2021 11:51:11 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:50641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1lfLV3-0008UX-0e
 for 48136 <at> debbugs.gnu.org; Sat, 08 May 2021 07:52:01 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id 35AAF10F8
 for <48136 <at> debbugs.gnu.org>; Sat,  8 May 2021 07:51:55 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Sat, 08 May 2021 07:51:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:date:from:to:subject:content-type; s=
 fm1; bh=qbFohabLYXR3dENLtmmjt8/WLdTsDfBd+1vOBmX1ris=; b=ihgXADz1
 DJvFmLmpTSmNMkHrcskhICqOhpnKqoriGvdWTnHFkNdRwobifUtQseA+MyDW+rh3
 wCg/MTT8DTjQq8wf4Q42E4s+ATyPC5OQQl1ZiqREnP1FMg0ydk2MEX1W3KsTPt6d
 CCfeUM5CkY7hE1/CCtgys/ZWURqBnDCPIJhlMsLFHF9zvOI7c+W5TB/18h5crWyD
 eW55QFlgsUzWDZ3ku1mvcQWI7YmWRed1olLaFP9F197bjIJdz7EEFws62KOY4Sfz
 +xyQdM84LjfW6CCH4PbNIw8VJeurnasRJK3c6zAaEcy4e2ct3nzz6wp1TFg3Va6X
 s1Qo/vz+Be/d8g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=qbFohabLYXR3dENLtmmjt8/WLdTsD
 fBd+1vOBmX1ris=; b=QGIhYHpo8VNXtWBfZY//2sTU7Mizt+IIRGFZMJnum/fp5
 7KtSVKj6FyqQDsIVSRagztoFtDvMd9yo3Nav7HbAojauQQJZEbKUKL3jIlDszzLj
 rJFjCj+AbYVbwqCX54A9cEwBaE4ddYzyS5gzbRv5j4CXBNvbyxHinHbAI38/UGYo
 KidlJQg2JBmNNN9HPBKJ2nPM+jv1nRkwlC0snHe1O8qlI65nJ8mTA1LO1k6+z7eZ
 Pf9FtqcqRJnxzpcg+avorlBBGGtgd92G4+Ks8MZYJgxbC3UhVBVhDpKCGfwgESrg
 QkMkOmgP/JRSTRKb0ViCXA0wPuXhYsQk7eAlNrTQQ==
X-ME-Sender: <xms:WnuWYLFZhJ5soa_JPZvWsPZy9tx_WzWqhvscNOynO7BAbRCE1pdcdQ>
 <xme:WnuWYIVSEdx2AHecXt-xi7Rvk8yCSyzGPYo0V5v7UFFLHROW8qIwj2FXIkoP6hISf
 IGMWb10B4ZJlj76pSY>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvdeggedggeekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefofgggkfffhffvufgtsegrtderre
 erredtnecuhfhrohhmpedfgfhlihgrucfpohhliidfuceoghhnuhdqvghmrggtsheslhih
 tghhvggvshgvrdhorhhgqeenucggtffrrghtthgvrhhnpeefteehgeeihffghefhheehle
 ffudevkeeitdevuedtkefhffejjeekudetudejgfenucevlhhushhtvghrufhiiigvpedt
 necurfgrrhgrmhepmhgrihhlfhhrohhmpehgnhhuqdgvmhgrtghssehlhigthhgvvghsvg
 drohhrgh
X-ME-Proxy: <xmx:WnuWYNL4f6My9WfznicLvF6nyjhWdvneDISVb10KvSv4mNMh-uT2Zg>
 <xmx:WnuWYJEJhVkuX8IbNcx3JoBXDdtRh9Z28R-LylD9qC6oY_D3GS3vIw>
 <xmx:WnuWYBUdLXAXi3EMkkupHzJwxdmt7WuxLvlsVu6s6Yf4OoEdOhVBkg>
 <xmx:WnuWYJjpqRS5iM_U_1aMOnk7dI99i6CmXhFfmCAdjm1hSSJjThy7uw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 601EA15A04C1; Sat,  8 May 2021 07:51:54 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-448-gae190416c7-fm-20210505.004-gae190416
Mime-Version: 1.0
Message-Id: <313b4b03-e4e4-4a2f-b6af-cf2e47264722@HIDDEN>
Date: Sat, 08 May 2021 13:50:28 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: 48136 <at> debbugs.gnu.org
Subject: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=704f9213d2ee4347a5d7fbc1659895f2
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48136
X-Mailman-Approved-At: Sat, 08 May 2021 11:51:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--704f9213d2ee4347a5d7fbc1659895f2
Content-Type: text/plain

Addendum:

I just tried if the same applied to terminal Emacs by launching it with `emacs -nw` and it does not (presumably because Super and Hyper are not passed from the terminal emulator to Emacs itself).

I was able to work around the bug by using `(define-key key-translation-map (kbd "H-<down>") (kbd "<down>"))` etc. for all ISO_Level5 keys but that is a bit too cluncky and static for my tastes. Is there a way to just translate every "H-" binding to just not have the modifier applied? Is there a list of all possible keys Emacs accepts and that I can use to just `map` over the `define-key` statement.

xmodmap output:

```
xmodmap:  up to 3 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock        Shift_L (0x32)
control     Control_L (0x40),  Control_R (0x69)
mod1        Alt_L (0x85),  Meta_L (0xcd)
mod2        BadKey (0xcf)
mod3        ISO_Level5_Shift (0xcb)
mod4        Super_L (0x25),  Super_R (0x86),  Super_L (0xce)
mod5        ISO_Level3_Shift (0x5c)
```
--704f9213d2ee4347a5d7fbc1659895f2
Content-Type: text/html
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><title></title><style type=3D"text/css">p.Mso=
Normal,p.MsoNoSpacing{margin:0}</style></head><body><div>Addendum:<br></=
div><div><br></div><div>I just tried if the same applied to terminal Ema=
cs by launching it with `emacs -nw` and it does not (presumably because =
Super and Hyper are not passed from the terminal emulator to Emacs itsel=
f).<br></div><div><br></div><div>I was able to work around the bug by us=
ing `(define-key key-translation-map (kbd "H-&lt;down&gt;") (kbd "&lt;do=
wn&gt;"))` etc. for all ISO_Level5 keys but that is a bit too cluncky an=
d static for my tastes. Is there a way to just translate every "H-" bind=
ing to just not have the modifier applied? Is there a list of all possib=
le keys Emacs accepts and that I can use to just `map` over the `define-=
key` statement.<br></div><div><br></div><div>xmodmap output:<br></div><d=
iv><br></div><div>```<br></div><div>xmodmap:&nbsp; up to 3 keys per modi=
fier, (keycodes in parentheses):<br></div><div><br></div><div>shift&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Shift_L (0x32),&nbsp; Shift_R (0x3e)<br>=
</div><div>lock&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Shift_L (0x32)=
<br></div><div>control&nbsp;&nbsp;&nbsp;&nbsp; Control_L (0x40),&nbsp; C=
ontrol_R (0x69)<br></div><div>mod1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp; Alt_L (0x85),&nbsp; Meta_L (0xcd)<br></div><div>mod2&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp; BadKey (0xcf)<br></div><div>mod3&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ISO_Level5_Shift (0xcb)<br></div><div>mod=
4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Super_L (0x25),&nbsp; Super_=
R (0x86),&nbsp; Super_L (0xce)<br></div><div>mod5&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp; ISO_Level3_Shift (0x5c)</div><div>```<br></div></bod=
y></html>
--704f9213d2ee4347a5d7fbc1659895f2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 May 2021 11:31:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 07:31:12 2021
Received: from localhost ([127.0.0.1]:34962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcnq3-0001nH-7v
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 07:31:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:36312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gnu-emacs@HIDDEN>) id 1lcm1n-0005jF-Ts
 for submit <at> debbugs.gnu.org; Sat, 01 May 2021 05:35:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49118)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gnu-emacs@HIDDEN>)
 id 1lcm1m-0005wI-Oo
 for bug-gnu-emacs@HIDDEN; Sat, 01 May 2021 05:35:10 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:35057)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gnu-emacs@HIDDEN>)
 id 1lcm1j-0008Bd-MY
 for bug-gnu-emacs@HIDDEN; Sat, 01 May 2021 05:35:10 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id F1767231F
 for <bug-gnu-emacs@HIDDEN>; Sat,  1 May 2021 05:35:03 -0400 (EDT)
Received: from imap35 ([10.202.2.85])
 by compute2.internal (MEProxy); Sat, 01 May 2021 05:35:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lycheese.org; h=
 mime-version:message-id:date:from:to:subject:content-type; s=
 fm1; bh=F5lGIBHvp+6ySqt7q5le/uz5Womu1sKogjRgyCUgt1o=; b=XsUy0Rx+
 v0dxnJgHCgX0eQx/WH+NpRfDlTrXSNtcdns+XgHjmY4Z/ZG1/aN87oZOBo699l4D
 oTkYvTFhg2oxEe0IjG+YfHjsPKsV0ZPp/ftcIj/rHJWROF1xCUFli11JyQCqq3/h
 4Vz4biV4Dgv4ag8b44OvconZbRQQMc6H4ceGWgE+kTU3nSmtO3GOv167+Rm++vjo
 hjmGygn2U+ZYYYgWBTMxp4uY0ftVyta9+MxCm7ljGpZqUvpd5J9nIfkNn6ULGrSL
 7HYljVjeVQSxx7dvw/n65bp0UUaanigQvff4VIftDB7iZvQmkI+uuUO8kAMTafRz
 4T+yorDMdOtx/g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=F5lGIBHvp+6ySqt7q5le/uz5Womu1
 sKogjRgyCUgt1o=; b=vf/Rb98sZDhG7XfZn3WiSxrxOj/h6YxYHYxsYLjRTitsd
 tQ3SztRfMYFuz0kFkTwXnqz0z5ei188+7/JzXqHjnk0lziFkxvZe3JVkwx4XYsWL
 ZZXnPhQsef8xMeaG1tUj+4Auz/7Ho9pxaF+Mi6mcy5KzTlriShHaMorcYAeqbJJ1
 EY9QC0ZJdAEjDuI2Ac57Xn5u9ZAKim+Aqp/VrwT3CledN6vNcNEfXzMhhU7adSml
 PJ2JxGT9Mh+4Qd0ueDUsuXfRjLfLlHK4r2mto/Bqh+m136y6Tv1I/hr5BRDaEFmi
 Qt3SsUAhGMngRyvatEz3EVC8PgwvQqLXqBZTcTNwQ==
X-ME-Sender: <xms:xyCNYPzUYzuNYEHVdcdge2ry1HRElmo1u0RcyZyWShaFwnFhMYUMfg>
 <xme:xyCNYHQzIiPv13gXj7jQ9QSWsPlzXLT2Ik3aX68UHPMJx_jdGZDeKce_VkZ9YmbzP
 Q7R5Tf9WIogBizFKks>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrvddvjedgudeglecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepofgfggfkfffhvffutgesrgdtre
 erreerjeenucfhrhhomhepfdfglhhirgcupfholhiifdcuoehgnhhuqdgvmhgrtghssehl
 higthhgvvghsvgdrohhrgheqnecuggftrfgrthhtvghrnhepjefhjeevteehfeevfefhge
 fgtdffjedvkedvgefgheettedtvdevffeugefftddvnecuvehluhhsthgvrhfuihiivgep
 tdenucfrrghrrghmpehmrghilhhfrhhomhepghhnuhdqvghmrggtsheslhihtghhvggvsh
 gvrdhorhhg
X-ME-Proxy: <xmx:xyCNYJV4Gq5W7hKVdGvFjh3GnC5xRocpTEty4o_k2mJgdnzvVRxLuw>
 <xmx:xyCNYJih2o2wqulYZd4krHQshV_WCUAWOfHwqRJGaXLf89FlUR8QPQ>
 <xmx:xyCNYBAiqdd7I5ww6zBe1hdF67t7u6Ha0YxzyTWv7rvirgydVJLyoA>
 <xmx:xyCNYENj44EhTifR0Rxf0GeZmTnE-ScjRYuiVr6wASxgGCJiaJ_hbw>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 36E7015A005F; Sat,  1 May 2021 05:35:03 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.5.0-alpha0-403-gbc3c488b23-fm-20210419.005-gbc3c488b
Mime-Version: 1.0
Message-Id: <40f57d02-eb19-4e83-b397-039d56b4f046@HIDDEN>
Date: Sat, 01 May 2021 11:34:42 +0200
From: "Elia Nolz" <gnu-emacs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken
Content-Type: multipart/alternative; boundary=5a74c12df2f14a86858eadb30f7c8305
Received-SPF: pass client-ip=64.147.123.21;
 envelope-from=gnu-emacs@HIDDEN; helo=wout5-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 01 May 2021 07:31:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--5a74c12df2f14a86858eadb30f7c8305
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: quoted-printable

- Use pgtk feature branch GNU Emacs=20
- Use a keyboard layout that utilizes ISO_Level5_Shift (e.g. neoqwertz, =
bone, =E2=80=A6)=20
- Launch with `emacs -Q`
- Try to use ISO_Level5_Shift to access arrow keys or other shifted key
- `H-<down> is undefined` appears in echo area instead of sending down=20=

arrow and invoking `next-line` (This works in GNU Emacs without pgtk)=20=


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.27=
, cairo version 1.16.0)=20
Repository revision: 8b51761dfda1c85c1e0b2344b005bb435117937a=20
Repository branch: master=20
Windowing system distributor 'System Description: NixOS 21.05 (Okapi)=20=


Configured using:=20
'configure=20
--prefix=3D/nix/store/nkq5x0gbzjalnq7xq78abfsaxfg00yx7-emacs-pgtkgcc-202=
10425.0=20
--disable-build-details --with-modules --with-x-toolkit=3Dgtk3=20
--with-cairo --with-native-compilation --with-pgtk'=20

Configured features:=20
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON=20
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY=20=

PDUMPER PGTK PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS XIM=
=20
GTK3 ZLIB=20

Important settings:=20
value of $LC_CTYPE: zh_CN.UTF-8=20
value of $LC_TIME: en_DK.UTF-8=20
value of $LANG: en_US.UTF-8=20
locale-coding-system: utf-8-unix=20

Major mode: Lisp Interaction=20

Minor modes in effect:=20
tooltip-mode: t=20
global-eldoc-mode: t=20
eldoc-mode: t=20
electric-indent-mode: t=20
mouse-wheel-mode: t=20
tool-bar-mode: t=20
menu-bar-mode: t=20
file-name-shadow-mode: t=20
global-font-lock-mode: t=20
font-lock-mode: t=20
blink-cursor-mode: t=20
auto-composition-mode: t=20
auto-encryption-mode: t=20
auto-compression-mode: t=20
line-number-mode: t=20
transient-mark-mode: t=20

Load-path shadows:=20
None found.=20

Features:=20
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs=20=

rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail=20
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs=20
eieio-loaddefs password-cache json map text-property-search time-date=20=

subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies=20=

mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs=
=20
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils=
=20
china-util iso-transl tooltip eldoc electric uniquify ediff-hook=20
vc-hooks lisp-float-type mwheel term/pgtk-win pgtk-win term/common-win=20=

tool-bar dnd fontset image regexp-opt fringe tabulated-list replace=20
newcomment text-mode elisp-mode lisp-mode prog-mode register page=20
tab-bar menu-bar rfn-eshadow isearch easymenu timer select scroll-bar=20=

mouse jit-lock font-lock syntax font-core term/tty-colors frame=20
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese=20
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek=20=

romanian slovak czech european ethiopic indian cyrillic chinese=20
composite charscript charprop case-table epa-hook jka-cmpr-hook help=20
simple abbrev obarray cl-preloaded nadvice button loaddefs faces=20
cus-face macroexp files window text-properties overlay sha1 md5 base64=20=

format env code-pages mule custom widget hashtable-print-readable=20
backquote threads dbusbind inotify dynamic-setting system-font-setting=20=

font-render-setting cairo move-toolbar gtk x-toolkit pgtk multi-tty=20
make-network-process nativecomp emacs)=20

Memory information:=20
((conses 16 67501 7027)=20
(symbols 48 6638 0)=20
(strings 32 19211 1528)=20
(string-bytes 1 687662)=20
(vectors 16 13850)=20
(vector-slots 8 339430 10291)=20
(floats 8 22 31)=20
(intervals 56 205 0)=20
(buffers 992 10))=20

--5a74c12df2f14a86858eadb30f7c8305
Content-Type: text/html;charset=utf-8
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><title></title><style type=3D"text/css">p.Mso=
Normal,p.MsoNoSpacing{margin:0}</style></head><body><div>- Use pgtk feat=
ure branch GNU Emacs <br></div><div> - Use a keyboard layout that utiliz=
es ISO_Level5_Shift (e.g. neoqwertz, bone, =E2=80=A6) <br></div><div> - =
Launch with `emacs -Q`<br></div><div> - Try to use ISO_Level5_Shift to a=
ccess arrow keys or other shifted key<br></div><div> - `H-&lt;down&gt; i=
s undefined` appears in echo area instead of sending down <br></div><div=
> arrow and invoking `next-line` (This works in GNU Emacs without pgtk) =
 <br></div><div> <br></div><div> In GNU Emacs 28.0.50 (build 1, x86_64-p=
c-linux-gnu, GTK+ Version 3.24.27, cairo version 1.16.0) <br></div><div>=
 Repository revision: 8b51761dfda1c85c1e0b2344b005bb435117937a <br></div=
><div> Repository branch: master <br></div><div> Windowing system distri=
butor 'System Description: NixOS 21.05 (Okapi) <br></div><div> <br></div=
><div> Configured using: <br></div><div> 'configure <br></div><div> --pr=
efix=3D/nix/store/nkq5x0gbzjalnq7xq78abfsaxfg00yx7-emacs-pgtkgcc-2021042=
5.0 <br></div><div> --disable-build-details --with-modules --with-x-tool=
kit=3Dgtk3 <br></div><div> --with-cairo --with-native-compilation --with=
-pgtk' <br></div><div> <br></div><div> Configured features: <br></div><d=
iv> CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON=
 <br></div><div> LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COM=
P NOTIFY INOTIFY <br></div><div> PDUMPER PGTK PNG RSVG SECCOMP SOUND THR=
EADS TIFF TOOLKIT_SCROLL_BARS XIM <br></div><div> GTK3 ZLIB <br></div><d=
iv> <br></div><div> Important settings: <br></div><div> value of $LC_CTY=
PE: zh_CN.UTF-8 <br></div><div> value of $LC_TIME: en_DK.UTF-8 <br></div=
><div> value of $LANG: en_US.UTF-8 <br></div><div> locale-coding-system:=
 utf-8-unix <br></div><div> <br></div><div> Major mode: Lisp Interaction=
 <br></div><div> <br></div><div> Minor modes in effect: <br></div><div> =
tooltip-mode: t <br></div><div> global-eldoc-mode: t <br></div><div> eld=
oc-mode: t <br></div><div> electric-indent-mode: t <br></div><div> mouse=
-wheel-mode: t <br></div><div> tool-bar-mode: t <br></div><div> menu-bar=
-mode: t <br></div><div> file-name-shadow-mode: t <br></div><div> global=
-font-lock-mode: t <br></div><div> font-lock-mode: t <br></div><div> bli=
nk-cursor-mode: t <br></div><div> auto-composition-mode: t <br></div><di=
v> auto-encryption-mode: t <br></div><div> auto-compression-mode: t <br>=
</div><div> line-number-mode: t <br></div><div> transient-mark-mode: t <=
br></div><div> <br></div><div> Load-path shadows: <br></div><div> None f=
ound. <br></div><div> <br></div><div> Features: <br></div><div> (shadow =
sort mail-extr emacsbug message rmc puny dired dired-loaddefs <br></div>=
<div> rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail <br>=
</div><div> rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs <=
br></div><div> eieio-loaddefs password-cache json map text-property-sear=
ch time-date <br></div><div> subr-x seq byte-opt gv bytecomp byte-compil=
e cconv mm-decode mm-bodies <br></div><div> mm-encode mail-parse rfc2231=
 mailabbrev gmm-utils mailheader cl-loaddefs <br></div><div> cl-lib send=
mail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils <br></div>=
<div> china-util iso-transl tooltip eldoc electric uniquify ediff-hook <=
br></div><div> vc-hooks lisp-float-type mwheel term/pgtk-win pgtk-win te=
rm/common-win <br></div><div> tool-bar dnd fontset image regexp-opt frin=
ge tabulated-list replace <br></div><div> newcomment text-mode elisp-mod=
e lisp-mode prog-mode register page <br></div><div> tab-bar menu-bar rfn=
-eshadow isearch easymenu timer select scroll-bar <br></div><div> mouse =
jit-lock font-lock syntax font-core term/tty-colors frame <br></div><div=
> minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese <b=
r></div><div> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932=
 hebrew greek <br></div><div> romanian slovak czech european ethiopic in=
dian cyrillic chinese <br></div><div> composite charscript charprop case=
-table epa-hook jka-cmpr-hook help <br></div><div> simple abbrev obarray=
 cl-preloaded nadvice button loaddefs faces <br></div><div> cus-face mac=
roexp files window text-properties overlay sha1 md5 base64 <br></div><di=
v> format env code-pages mule custom widget hashtable-print-readable <br=
></div><div> backquote threads dbusbind inotify dynamic-setting system-f=
ont-setting <br></div><div> font-render-setting cairo move-toolbar gtk x=
-toolkit pgtk multi-tty <br></div><div> make-network-process nativecomp =
emacs) <br></div><div> <br></div><div> Memory information: <br></div><di=
v> ((conses 16 67501 7027) <br></div><div> (symbols 48 6638 0) <br></div=
><div> (strings 32 19211 1528) <br></div><div> (string-bytes 1 687662) <=
br></div><div> (vectors 16 13850) <br></div><div> (vector-slots 8 339430=
 10291) <br></div><div> (floats 8 22 31) <br></div><div> (intervals 56 2=
05 0) <br></div><div> (buffers 992 10)) <br></div><div> <br></div></body=
></html>
--5a74c12df2f14a86858eadb30f7c8305--




Acknowledgement sent to "Elia Nolz" <gnu-emacs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48136; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 1 Oct 2021 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.